Subject: Re: [Dyncast] Continue questions for draft-li-dyncast-architecture-00

From: Tianji Jiang <[email-masked]>
Date: Mon, 15 Mar 2021 17:56:35 -0700

For the following Q:

How to setup and maintain the same instance affinity for the application with multiple flows? E.g., FTP connection setup with two 5-tuple flows. How would D-Router know the two flows should maintain the same service instance?

[Tianji] This scenario is actually applicable to any type of anycast service. It is not Dyncast-specific. 

From: Dyncast <[email-masked]> on behalf of Luigi IANNONE <[email-masked]>
Date: Monday, March 15, 2021 at 1:38 AM
To: Lizhong Jin <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Dyncast] Continue questions for draft-li-dyncast-architecture-00

Hi,

Thank you for your interesting questions. 

The fall a bit on the solution side, hence there is no confirmed answer that can be provided. 

These are all potential work items that need a larger discussion.

I provide my personal point of view inline.

Ciao

L.

From: Dyncast [mailto:[email-masked]] On Behalf Of Lizhong Jin
Sent: Saturday, March 13, 2021 15:15
To: [email-masked]
Subject: [Dyncast] Continue questions for draft-li-dyncast-architecture-00

Hi all,

Thanks for the presentations. I still have some questions left, and would like to post them here. 
How to identify a new flow for a service? By mismatching the binding table?
[Luigi] Yes, this can be considered one way of doing it assuming there is a binding table providing flow affinity.

How to identify an end of flow? Timing out a flow would sometimes be dangerous. What if the flow continues while the flow entry has been timed out? For TCP, you could simply using FIN packet instead of timeout. But what to do for UDP?
[Luigi] Interesting question. I do not think there is a generic way to understand when a UDP flows ends. There might be some action that can be taken if the type of flow is known, but the danger in this way is to have too many corner cases.

How to setup and maintain the same instance affinity for the application with multiple flows? E.g., FTP connection setup with two 5-tuple flows. How would D-Router know the two flows should maintain the same service instance?
[Luigi] Interesting question. To be honest I never thought about such a case. On the other hand, how often this can happen?

Regarding the Figure 1: Dyncast Architecture, does Dyncast provide end-to-end guarantee for service quality? I ask this question because I don’t see how to setup a guarantee path between service instance and D-Router, client and D-Router.
[Luigi] No. There was never the idea to guarantee any form of QoS. 

Regards

Lizhong

-- Dyncast mailing list [email-masked] https://www.ietf.org/mailman/listinfo/dyncast